Page MenuHomePhabricator

Remove BC for old entitytermsview cookies
Closed, ResolvedPublic3 Story Points

Description

Backwards compatibility code is unneeded after 2018-11-14 per the comment in the code and can be removed. The cookie wikibase-entitytermsview-showEntitytermslistview is now always prefixed.

https://gerrit.wikimedia.org/g/mediawiki/extensions/Wikibase/+/0924869ff8ccb59c4fe20d0060e50c87d26ad4f1/repo/includes/ParserOutput/EntityViewPlaceholderExpander.php#168

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterCollapsed termbox state: fix/simplify cookie
mediawiki/extensions/Wikibase : masterDrop the B/C code for cookies

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2018, 11:11 AM
Addshore triaged this task as Low priority.Dec 4 2018, 9:47 AM
Addshore raised the priority of this task from Low to Needs Triage.
Addshore added a project: Wikidata-Campsite.
Addshore moved this task from incoming to consider for next sprint on the Wikidata board.
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
Addshore triaged this task as Low priority.Dec 6 2018, 10:58 AM

Change 480532 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Drop the B/C code for cookies

https://gerrit.wikimedia.org/r/480532

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 18 2018, 4:33 PM

Change 480532 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Drop the B/C code for cookies

https://gerrit.wikimedia.org/r/480532

Addshore closed this task as Resolved.Dec 20 2018, 11:21 AM
Addshore added a subscriber: Addshore.

Nothing to really verify here

Change 491250 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] Collapsed termbox state: fix/simplify cookie

https://gerrit.wikimedia.org/r/491250

Change 491250 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Collapsed termbox state: fix/simplify cookie

https://gerrit.wikimedia.org/r/491250